Bug 802590 - ClinicController is annotated with @Component
ClinicController is annotated with @Component
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Spring, Examples (Show other bugs)
2.0.0.ER3
Unspecified Unspecified
medium Severity medium
: ---
: 2.0.0.ER7
Assigned To: Isaac Rooskov
Tomas Repel
petclinic
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-12 22:26 EDT by Rebecca Newton
Modified: 2015-08-06 01:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, ClinicController was annotated with @Component instead of @Controller. This meant http://localhost:8080/petclinic/welcome.do failed to work. This is fixed with the release of JBoss Web Framework Kit 2.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-13 09:20:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rebecca Newton 2012-03-12 22:26:53 EDT
Description of problem:
From: https://bugzilla.redhat.com/show_bug.cgi?id=746970

Please note that http://localhost:8080/petclinic-fixed/welcome.do does not work
in this version because ClinicController is annotated with @Component instead
of @Controller


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rebecca Newton 2012-03-12 22:29:44 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
ClinicController is annotated with @Component instead of @Controller. This means <ulink url="http://localhost:8080/petclinic-fixed/welcome.do"/> will fail to work.
Comment 3 Marius Bogoevici 2012-04-05 15:46:13 EDT
Technical note can be removed, the distributed example is correct.
Comment 5 Tomas Repel 2012-06-04 08:43:57 EDT
Verified in WFK2 ER7.
Comment 6 Tomas Repel 2012-06-04 08:43:57 EDT
Deleted Technical Notes Contents.

Old Contents:
ClinicController is annotated with @Component instead of @Controller. This means <ulink url="http://localhost:8080/petclinic-fixed/welcome.do"/> will fail to work.
Comment 10 Rebecca Newton 2012-06-20 02:53:31 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
ClinicController is annotated with @Component instead of @Controller. This means http://localhost:8080/petclinic-fixed/welcome.do will fail to work.
Comment 11 Rebecca Newton 2012-06-20 02:55:22 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-ClinicController is annotated with @Component instead of @Controller. This means http://localhost:8080/petclinic-fixed/welcome.do will fail to work.+Previously, ClinicController was annotated with @Component instead of @Controller. This meant http://localhost:8080/petclinic-fixed/welcome.do failed to work. This is fixed with the release of JBoss Web Framework Kit 2, and the ClinicController class is annotated with @Controller in both cases.
Comment 13 Karel Piwko 2012-06-22 03:09:39 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Previously, ClinicController was annotated with @Component instead of @Controller. This meant http://localhost:8080/petclinic-fixed/welcome.do failed to work. This is fixed with the release of JBoss Web Framework Kit 2, and the ClinicController class is annotated with @Controller in both cases.+Previously, ClinicController was annotated with @Component instead of @Controller. This meant http://localhost:8080/petclinic/welcome.do failed to work. This is fixed with the release of JBoss Web Framework Kit 2.
Comment 15 Isaac Rooskov 2012-08-12 23:50:32 EDT
Docs doesn't usually control or deal with code examples (and I believe bec didn't). I see she added the correct technical note information for the WFK 2.0 release, so who should this be assigned to now? Or should it be closed?

Thanks, 

Isaac

Note You need to log in before you can comment on or make changes to this bug.